/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.myfaces.tobago.component;

/**
 * Constants for the renderer type
 */
public final class RendererTypes {

  public static final String BOX = "Box";
  public static final String BOX_TOOL_BAR = "BoxToolBar";
  public static final String BUTTON = "Button";
  public static final String CALENDAR = "Calendar";
  public static final String CELL = "Cell";
  public static final String COLUMN = "Column";
  public static final String COLUMN_SELECTOR = "ColumnSelector";
  public static final String COMMAND = "Command";
  public static final String DATE = "Date";
  public static final String DATE_PICKER = "DatePicker";
  public static final String FILE = "File";
  public static final String FILE_DROP = "FileDrop";
  public static final String FLOW_LAYOUT = "FlowLayout";
  public static final String FORM = "Form";
  public static final String GRID_LAYOUT = "GridLayout";
  public static final String HIDDEN = "Hidden";
  public static final String IN = "In";
  public static final String IMAGE = "Image";
  public static final String LINK = "Link";
  public static final String LABEL = "Label";
  public static final String MEDIATOR = "Mediator";
  public static final String MESSAGES = "Messages";
  public static final String MENU = "Menu";
  public static final String MENU_BAR = "MenuBar";
  public static final String MENU_COMMAND = "MenuCommand";
  public static final String MENU_SEPARATOR = "MenuSeparator";
  public static final String OBJECT = "Object";
  public static final String OUT = "Out";
  public static final String PAGE = "Page";
  public static final String PANEL = "Panel";
  public static final String POPUP = "Popup";
  public static final String PROGRESS = "Progress";
  public static final String SCRIPT = "Script";
  public static final String SELECT_BOOLEAN_CHECKBOX = "SelectBooleanCheckbox";
  public static final String SELECT_MANY_BOX = "SelectManyBox";
  public static final String SELECT_MANY_CHECKBOX = "SelectManyCheckbox";
  public static final String SELECT_MANY_LISTBOX = "SelectManyListbox";
  public static final String SELECT_MANY_SHUTTLE = "SelectManyShuttle";
  public static final String SELECT_ONE_CHOICE = "SelectOneChoice";
  public static final String SELECT_ONE_RADIO = "SelectOneRadio";
  public static final String SELECT_ONE_LISTBOX = "SelectOneListbox";
  public static final String SELECT_REFERENCE = "SelectReference";
  public static final String SEPARATOR = "Separator";
  public static final String SHEET_PAGE_COMMAND = "SheetPageCommand";
  public static final String SHEET_LAYOUT = "SheetLayout";
  public static final String STYLE = "Style";
  public static final String SUGGEST = "Suggest";
  public static final String TEXTAREA = "Textarea";
  public static final String TAB = "Tab";
  public static final String TAB_GROUP = "TabGroup";
  public static final String TAB_GROUP_LAYOUT = "TabGroupLayout";
  public static final String TAB_GROUP_TOOL_BAR = "TabGroupToolBar";
  public static final String TIME = "Time";
  public static final String TOOL_BAR = "ToolBar";
  public static final String TREE = "Tree";
  public static final String TREE_DATA = "TreeData";
  public static final String TREE_COMMAND = "TreeCommand";
  public static final String TREE_ICON = "TreeIcon";
  public static final String TREE_INDENT = "TreeIndent";
  public static final String TREE_LABEL = "TreeLabel";
  public static final String TREE_LISTBOX = "TreeListbox";
  public static final String TREE_LISTBOX_NODE = "TreeListboxNode";
  public static final String TREE_MENU = "TreeMenu";
  public static final String TREE_MENU_COMMAND = "TreeMenuCommand";
  public static final String TREE_MENU_LABEL = "TreeMenuLabel";
  public static final String TREE_MENU_NODE = "TreeMenuNode";
  public static final String TREE_NODE = "TreeNode";
  public static final String TREE_SELECT = "TreeSelect";
  public static final String SHEET = "Sheet";
  public static final String WIZARD = "Wizard";

  private RendererTypes() {
    // to prevent instantiation
  }
}
