/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.myfaces.tobago.renderkit;

import org.apache.myfaces.tobago.config.Configurable;
import org.apache.myfaces.tobago.layout.Measure;

import javax.faces.context.FacesContext;

public interface LayoutComponentRenderer {

  Measure getCustomMeasure(FacesContext facesContext, Configurable component, String name);

  Measure getWidth(FacesContext facesContext, Configurable component);

  Measure getHeight(FacesContext facesContext, Configurable component);

  Measure getMinimumWidth(FacesContext facesContext, Configurable component);

  Measure getMinimumHeight(FacesContext facesContext, Configurable component);

  Measure getPreferredWidth(FacesContext facesContext, Configurable component);

  Measure getPreferredHeight(FacesContext facesContext, Configurable component);

  Measure getMaximumWidth(FacesContext facesContext, Configurable component);

  Measure getMaximumHeight(FacesContext facesContext, Configurable component);

  Measure getMarginLeft(FacesContext facesContext, Configurable component);

  Measure getMarginRight(FacesContext facesContext, Configurable component);

  Measure getMarginTop(FacesContext facesContext, Configurable component);

  Measure getMarginBottom(FacesContext facesContext, Configurable component);

  Measure getBorderLeft(FacesContext facesContext, Configurable component);

  Measure getBorderRight(FacesContext facesContext, Configurable component);

  Measure getBorderTop(FacesContext facesContext, Configurable component);

  Measure getBorderBottom(FacesContext facesContext, Configurable component);

  Measure getPaddingLeft(FacesContext facesContext, Configurable component);

  Measure getPaddingRight(FacesContext facesContext, Configurable component);

  Measure getPaddingTop(FacesContext facesContext, Configurable component);

  Measure getPaddingBottom(FacesContext facesContext, Configurable component);

  Measure getVerticalScrollbarWeight(FacesContext facesContext, Configurable component);
}
