/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.myfaces.tobago.renderkit.html;

public final class HtmlElements {

  public static final String A = "a";
  public static final String AREA = "area";
  public static final String B = "b";
  public static final String BASE = "base";
  public static final String BODY = "body";
  public static final String BR = "br";
  public static final String BUTTON = "button";
  public static final String COL = "col";
  public static final String COLGROUP = "colgroup";
  public static final String DIV = "div";
  public static final String FIELDSET = "fieldset";
  public static final String FORM = "form";
  public static final String HEAD = "head";
  public static final String HR = "hr";
  public static final String HTML = "html";
  public static final String IFRAME = "iframe";
  public static final String IMG = "img";
  public static final String INPUT = "input";
  public static final String LABEL = "label";
  public static final String LEGEND = "legend";
  public static final String LI = "li";
  public static final String LINK = "link";
  public static final String META = "meta";
  public static final String NOSCRIPT = "noscript";
  public static final String OL = "ol";
  public static final String OPTGROUP = "optgroup";
  public static final String OPTION = "option";
  public static final String PARAM = "param";
  public static final String SCRIPT = "script";
  public static final String SELECT = "select";
  public static final String SPAN = "span";
  public static final String STYLE = "style";
  public static final String TABLE = "table";
  public static final String TBODY = "tbody";
  public static final String TD = "td";
  public static final String TEXTAREA = "textarea";
  public static final String TH = "th";
  public static final String TITLE = "title";
  public static final String TR = "tr";
  /**
   * @deprecated xxx
   */
  @Deprecated
  public static final String U = "u";
  public static final String UL = "ul";

  private HtmlElements() {

  }
}
