/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.myfaces.tobago.renderkit.html;

public final class HtmlInputTypes {

  public static final String TEXT = "text";
  public static final String PASSWORD = "password";
  public static final String CHECKBOX = "checkbox";
  public static final String RADIO = "radio";
  public static final String SUBMIT = "submit";
  public static final String RESET = "reset";
  public static final String FILE = "file";
  public static final String HIDDEN = "hidden";
  public static final String IMAGE = "image";
  public static final String BUTTON = "button";

  private HtmlInputTypes() {
    // prevent creating objects
  }
}
