/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.myfaces.tobago.example.test;

import org.junit.Assert;
import org.junit.Test;

public class TestPageFilterUnitTest {

  @Test
  public void testIsValid() {
    Assert.assertFalse(TestPageFilter.isValid("test.html"));
    Assert.assertTrue(TestPageFilter.isValid("/test.html"));

    Assert.assertFalse(TestPageFilter.isValid("/WEB-INF"));
    Assert.assertFalse(TestPageFilter.isValid("/WEB-INF/"));
    Assert.assertFalse(TestPageFilter.isValid("/WEB-INF/web.xml"));
    Assert.assertFalse(TestPageFilter.isValid("/WEB-INF/test.xhtml"));

    Assert.assertFalse(TestPageFilter.isValid("/NETA-INF"));
    Assert.assertFalse(TestPageFilter.isValid("/META-INF/"));

    Assert.assertTrue(TestPageFilter.isValid("/navigation.xhtml"));
    Assert.assertTrue(TestPageFilter.isValid("/nav.xhtml"));

    Assert.assertTrue(TestPageFilter.isDisabled("/navigation.xhtml"));
  }
}
